package com.jclark.xsl;

class ConstantValueExpression implements Expression {
  private Name name;
  ConstantValueExpression(Name name) {
    this.name = name;
  }
  public String eval(ProcessContext context, Node sourceNode) throws XSLException {
    return context.getConstant(name);
  }
  public void evalAdd(ProcessContext context, Node sourceNode, Result result) throws XSLException {
    result.characters(eval(context, sourceNode));
  }
}
