package com.jclark.xsl;

class MacroArgExpression implements Expression {
  private Name name;
  MacroArgExpression(Name name) {
    this.name = name;
  }
  public String eval(ProcessContext context, Node sourceNode) throws XSLException {
    String value = context.getMacroArgument(name);
    if (value == null)
      return "";
    return value;
  }
  public void evalAdd(ProcessContext context, Node sourceNode, Result result) throws XSLException {
    result.characters(eval(context, sourceNode));
  }
}
