package com.jclark.xsl;

class QueryCondition implements Condition {
  private Query query;

  QueryCondition(Query query) {
    this.query = query;
  }

  public
  boolean satisfied(ProcessContext context, Node node) throws XSLException {
    return query.select(context, node).next() != null;
  }
}
