package com.jclark.xsl;

class UnionQuery implements SubQuery {
  private Query query1;
  private Query query2;
  
  UnionQuery(Query query1, Query query2) {
    this.query1 = query1;
    this.query2 = query2;
  }

  public NodeIterator select(ProcessContext context, Node node) {
    return new UnionNodeIterator(query1.select(context, node),
	                             query2.select(context, node));
  }

  public SubQuery createUnion(SubQuery query) {
    return null;
  }

}
